[arch-commits] Commit in gnucash/repos (8 files)
Eric BĂ©langer
eric at archlinux.org
Fri Aug 10 05:02:38 UTC 2012
Date: Friday, August 10, 2012 @ 01:02:38
Author: eric
Revision: 165082
db-move: moved gnucash from [staging] to [testing] (i686, x86_64)
Added:
gnucash/repos/testing-i686/
gnucash/repos/testing-i686/PKGBUILD
(from rev 165081, gnucash/repos/staging-i686/PKGBUILD)
gnucash/repos/testing-i686/gnucash.install
(from rev 165081, gnucash/repos/staging-i686/gnucash.install)
gnucash/repos/testing-x86_64/
gnucash/repos/testing-x86_64/PKGBUILD
(from rev 165081, gnucash/repos/staging-x86_64/PKGBUILD)
gnucash/repos/testing-x86_64/gnucash.install
(from rev 165081, gnucash/repos/staging-x86_64/gnucash.install)
Deleted:
gnucash/repos/staging-i686/
gnucash/repos/staging-x86_64/
--------------------------------+
testing-i686/PKGBUILD | 38 ++++++++++++++++++++++++++++++++++++++
testing-i686/gnucash.install | 34 ++++++++++++++++++++++++++++++++++
testing-x86_64/PKGBUILD | 38 ++++++++++++++++++++++++++++++++++++++
testing-x86_64/gnucash.install | 34 ++++++++++++++++++++++++++++++++++
4 files changed, 144 insertions(+)
Copied: gnucash/repos/testing-i686/PKGBUILD (from rev 165081, gnucash/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2012-08-10 05:02:38 UTC (rev 165082)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=2.4.11
+pkgrel=1
+pkgdesc="A personal and small-business financial-accounting application"
+arch=('i686' 'x86_64')
+url="http://www.gnucash.org"
+license=("GPL")
+depends=('gtkhtml' 'slib' 'goffice' 'libgnomeui' 'libdbi-drivers' 'aqbanking' 'desktop-file-utils')
+makedepends=('intltool')
+optdepends=('evince: for print preview'
+ 'perl-finance-quote: for stock information lookups'
+ 'perl-date-manip: for stock information lookups')
+options=('!libtool' '!makeflags' '!emptydirs')
+install=gnucash.install
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('c157ad7ea0960c71966f5071acd9018580ece538')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc \
+ --libexecdir=/usr/lib --disable-schemas-install --enable-ofx --enable-aqbanking
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+ cd src/doc/design
+ make DESTDIR="${pkgdir}" install-info
+
+ install -dm755 "${pkgdir}/usr/share/gconf/schemas"
+ gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnucash "${pkgdir}"/etc/gconf/schemas/*.schemas
+ rm -f "${pkgdir}"/etc/gconf/schemas/*.schemas
+}
Copied: gnucash/repos/testing-i686/gnucash.install (from rev 165081, gnucash/repos/staging-i686/gnucash.install)
===================================================================
--- testing-i686/gnucash.install (rev 0)
+++ testing-i686/gnucash.install 2012-08-10 05:02:38 UTC (rev 165082)
@@ -0,0 +1,34 @@
+pkgname=gnucash
+info_dir=usr/share/info
+info_files=(gnucash-design.info)
+
+post_install() {
+ usr/sbin/gconfpkg --install ${pkgname}
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ update-desktop-database -q
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/gconfpkg --uninstall ${pkgname}
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_remove() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
Copied: gnucash/repos/testing-x86_64/PKGBUILD (from rev 165081, gnucash/repos/staging-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2012-08-10 05:02:38 UTC (rev 165082)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=2.4.11
+pkgrel=1
+pkgdesc="A personal and small-business financial-accounting application"
+arch=('i686' 'x86_64')
+url="http://www.gnucash.org"
+license=("GPL")
+depends=('gtkhtml' 'slib' 'goffice' 'libgnomeui' 'libdbi-drivers' 'aqbanking' 'desktop-file-utils')
+makedepends=('intltool')
+optdepends=('evince: for print preview'
+ 'perl-finance-quote: for stock information lookups'
+ 'perl-date-manip: for stock information lookups')
+options=('!libtool' '!makeflags' '!emptydirs')
+install=gnucash.install
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('c157ad7ea0960c71966f5071acd9018580ece538')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc \
+ --libexecdir=/usr/lib --disable-schemas-install --enable-ofx --enable-aqbanking
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+ cd src/doc/design
+ make DESTDIR="${pkgdir}" install-info
+
+ install -dm755 "${pkgdir}/usr/share/gconf/schemas"
+ gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnucash "${pkgdir}"/etc/gconf/schemas/*.schemas
+ rm -f "${pkgdir}"/etc/gconf/schemas/*.schemas
+}
Copied: gnucash/repos/testing-x86_64/gnucash.install (from rev 165081, gnucash/repos/staging-x86_64/gnucash.install)
===================================================================
--- testing-x86_64/gnucash.install (rev 0)
+++ testing-x86_64/gnucash.install 2012-08-10 05:02:38 UTC (rev 165082)
@@ -0,0 +1,34 @@
+pkgname=gnucash
+info_dir=usr/share/info
+info_files=(gnucash-design.info)
+
+post_install() {
+ usr/sbin/gconfpkg --install ${pkgname}
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ update-desktop-database -q
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ usr/bin/install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/gconfpkg --uninstall ${pkgname}
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ usr/bin/install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_remove() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
More information about the arch-commits
mailing list